#ifndef __COMM_H
#define __COMM_H
/*
 * File    : comm.h
 * Purpose : define functions for parallel communication
 */

/* return true if RX buffer is not empty */
int comm_has_rx ( void );

/* receive a byte from parallel interface */
char comm_getc ( void );

/* receive whole line from parallel interface */
int comm_gets ( char * buf, int size );

/* transmit byte via parallel interface */
int comm_putc ( char b );

/* transmit line via parallel interface */
int comm_puts ( char * buf );

/* initialise parallel communication */
void comm_init ( void );

#endif
